## milou 6.5.3+p24.04+vunstable+git20251206.0817

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(Milou)
set(PROJECT_VERSION "6.5.80")

set(PROJECT_DEP_VERSION "6.4.90")
set(QT_MIN_VERSION "6.9.0")
set(KF6_MIN_VERSION "6.18.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})


include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddTests)
include(GenerateExportHeader)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(ECMQmlModule)

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Qml Quick Widgets)
find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS I18n Runner Svg Config)
find_package(Plasma ${PROJECT_DEP_VERSION} REQUIRED)

add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f00)

add_definitions(-DQT_NO_FOREACH -DQT_NO_KEYWORDS)

add_subdirectory(lib)
add_subdirectory(plasmoid)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

ki18n_install(po)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== plasmoid/CMakeLists.txt ===
plasma_add_applet(org.kde.milou
    QML_FILES
        main.qml
        SearchField.qml
        globals.js
    GENERATE_APPLET_CLASS
)

=== debian/changelog ===
milou (4:6.5.3+p24.04+vunstable+git20251206.0817-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 08:17:58 +0000

## milou 6.5.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(Milou)
-set(PROJECT_VERSION "6.5.80")
+set(PROJECT_VERSION "6.5.4")
 
-set(PROJECT_DEP_VERSION "6.4.90")
+set(PROJECT_DEP_VERSION "6.5.4")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== debian/changelog ===
milou (4:6.5.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.4).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 09 Dec 2025 20:52:52 +0100

=== debian/control ===
Source: milou
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               libkf6config-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6runner-dev (>= 6.18.0~),
               libkf6svg-dev (>= 6.18.0~),
               libplasma-dev (>= 6.5.4~),
               libxkbcommon-dev,
               qt6-base-dev (>= 6.9.0~),
               qt6-declarative-dev (>= 6.9.0~),
               qt6-declarative-private-dev,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/milou
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/milou
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/milou.git

Package: milou
Architecture: any
Depends: plasma-desktoptheme,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-ksvg,
         qml6-module-qtquick,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-templates,
         qml6-module-qtquick-tooling,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Dedicated search plasmoid
 Milou can also be used as an alternative to KRunner, and
 does provide application launching. The main difference
 is that it concentrates more on searching.

## milou 6.5.4+p24.04+vstable+git20260103.0531

=== debian/changelog ===
milou (4:6.5.4+p24.04+vstable+git20260103.0531-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 05:31:46 +0000

milou (4:6.5.4-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 20:22:56 +1000

## milou 6.5.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(Milou)
-set(PROJECT_VERSION "6.5.4")
+set(PROJECT_VERSION "6.5.5")
 
-set(PROJECT_DEP_VERSION "6.5.4")
+set(PROJECT_DEP_VERSION "6.5.5")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== debian/changelog ===
milou (4:6.5.5-0zneon+24.04+noble+release+build36) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 13 Jan 2026 21:43:57 +0000

milou (4:6.5.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Jan 2026 06:31:59 +1000

=== debian/control ===
Source: milou
Section: kde
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kdeclarative-dev,
               kf6-ki18n-dev,
               kf6-kitemmodels-dev,
               kf6-krunner-dev,
               kf6-kservice-dev,
               kf6-ksvg-dev,
               kf6-kwindowsystem-dev,
               libplasma-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/kde/workspace/milou
Vcs-Git: https://invent.kde.org/neon/kde/milou.git
Vcs-Browser: https://invent.kde.org/neon/kde/milou
Maintainer: Neon CI <neon@kde.org>

Package: milou
Architecture: any
Depends: libplasma6, ${misc:Depends}, ${shlibs:Depends}
Description: Dedicated search plasmoid.
 Milou can also be used as an alternative to KRunner, and
 does provide application launching. The main difference
 is that it concentrates more on searching.

## milou 6.5.5+p24.04+vstable+git20260129.0212

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(Milou)
-set(PROJECT_VERSION "6.5.5")
+set(PROJECT_VERSION "6.5.91")
 
-set(PROJECT_DEP_VERSION "6.5.5")
-set(QT_MIN_VERSION "6.9.0")
-set(KF6_MIN_VERSION "6.18.0")
+set(PROJECT_DEP_VERSION "6.5.90")
+set(QT_MIN_VERSION "6.10.0")
+set(KF6_MIN_VERSION "6.22.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 set(CMAKE_CXX_STANDARD 20)

=== debian/changelog ===
milou (4:6.5.5+p24.04+vstable+git20260129.0212-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 02:12:07 +0000

## milou 6.5.5+p24.04+vstable+git20260130.0823

=== debian/changelog ===
milou (4:6.5.5+p24.04+vstable+git20260130.0823-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 08:23:54 +0000

## milou 6.5.5+p24.04+vunstable+git20260120.1136

=== debian/changelog ===
milou (4:6.5.5+p24.04+vunstable+git20260120.1136-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 20 Jan 2026 11:36:10 +0000

## milou 6.5.5+p24.04+vunstable+git20260201.0727

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(Milou)
-set(PROJECT_VERSION "6.5.91")
+set(PROJECT_VERSION "6.6.80")
 
 set(PROJECT_DEP_VERSION "6.5.90")
 set(QT_MIN_VERSION "6.10.0")

=== debian/changelog ===
milou (4:6.5.5+p24.04+vunstable+git20260201.0727-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 07:27:13 +0000

## milou 6.6.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(Milou)
-set(PROJECT_VERSION "6.6.80")
+set(PROJECT_VERSION "6.6.1")
 
-set(PROJECT_DEP_VERSION "6.5.90")
+set(PROJECT_DEP_VERSION "6.6.1")
 set(QT_MIN_VERSION "6.10.0")
 set(KF6_MIN_VERSION "6.22.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== plasmoid/CMakeLists.txt ===
plasma_add_applet(org.kde.milou
    QML_SOURCES
        main.qml
        SearchField.qml
        globals.js
    GENERATE_APPLET_CLASS
)

=== debian/changelog ===
milou (4:6.6.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.0)
  * New upstream release (6.6.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 28 Feb 2026 22:14:44 +0000

milou (4:6.5.5-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Jan 2026 14:56:52 +0000

milou (4:6.5.4-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Dec 2025 11:19:02 +0000

milou (4:6.5.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Nov 2025 12:08:12 +0000

milou (4:6.5.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Nov 2025 17:13:02 +0000

milou (4:6.5.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 29 Oct 2025 05:47:18 +0000

milou (4:6.5.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 20 Oct 2025 18:38:00 +0100

=== debian/control ===
Source: milou
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.22.0~),
               gettext,
               libkf6config-dev (>= 6.22.0~),
               libkf6i18n-dev (>= 6.22.0~),
               libkf6runner-dev (>= 6.22.0~),
               libkf6svg-dev (>= 6.22.0~),
               libplasma-dev (>= 6.6.1~),
               libxkbcommon-dev,
               qt6-base-dev (>= 6.10.0~),
               qt6-declarative-dev (>= 6.10.0~),
               qt6-declarative-private-dev (>= 6.10.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/milou
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/milou
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/milou
Rules-Requires-Root: no

Package: milou
Architecture: any
Depends: plasma-desktoptheme,
         qml6-module-org-kde-kirigami (>= 6.22.0~),
         qml6-module-org-kde-ksvg,
         qml6-module-qtquick,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-templates,
         qml6-module-qtquick-tooling,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Dedicated search plasmoid
 Milou can also be used as an alternative to KRunner, and
 does provide application launching. The main difference
 is that it concentrates more on searching.

## milou 6.6.2

=== debian/changelog ===
milou (4:6.6.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Mar 2026 12:23:13 +0000

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                libkf6i18n-dev (>= 6.22.0~),
                libkf6runner-dev (>= 6.22.0~),
                libkf6svg-dev (>= 6.22.0~),
-               libplasma-dev (>= 6.6.1~),
+               libplasma-dev (>= 6.6.2~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.10.0~),
                qt6-declarative-dev (>= 6.10.0~),
